<button (click)="back()" class="button is-back-button"><img class="has-margin-right-1" src="assets/images/arrowback.png">Retour</button>

<app-title [title]="'Classement'"></app-title>
<div *ngIf="!isMobile" class="tabs is-fullwidth">
    <ul>
        <li [style.borderColor]="currentColor" *ngFor="let item of modules; let i = index">
        <app-tab-item id="i" (click)="onClick(i)" [opacity]="modules[i].opacity" [backgroundColor]="modules[i].color" [matiere]="modules[i].text" [path]="'../assets/images/matières/'" [icon]="modules[i].name" [idModule]="i" [currentModule]="currentModule">
        </app-tab-item>
        </li>
    </ul>
</div>
<div *ngIf="isMobile" class="is-flex is-justify-center has-margin-top-1 has-margin-bottom-4">
    <div #Hola class="dropdown" (click)="test()">
    <div class="dropdown-trigger">
        <button [style.backgroundColor]="currentColor" class="button is-not-default is-rounded is-flex is-space-around is-big">
        <span [style.color]="'white'">{{modules[currentModule].text}}</span>
        <img [src]="getPath(modules[currentModule].name)"/>
        </button>
    </div>
    <div class="dropdown-menu" id="dropdown-menu" role="menu">
        <div class="dropdown-content">
        <div *ngFor="let item of modules; let i = index" id="i" (click)="onClick(i)"  [style.backgroundColor]="item.color" class="dropdown-item">
            <a class="is-a-dropdown is-flex">
            <span>{{item.text}}</span>
            <img class="align-vertical" [src]="getPath(item.name)"/>
            </a>
        </div>
        </div>
    </div>
    </div>
</div>

<div *ngIf="canDisplay$ | async" class="is-flex justify-around">
    <table [className]="isMobile ? 'table font has-margin-left-1' : 'table font-2 has-margin-left-1 size'">
        <thead class="bloc size">
            <tr >
                <th [style.Color]="currentColor">Position</th>
                <th [style.Color]="currentColor">Ami</th>
                <th [style.Color]="currentColor">Moyenne</th>
                <th [style.Color]="currentColor">Voir Scores</th>
            </tr>
            </thead>
        <tbody>
            <tr #TR *ngFor="let elt of infos; let i = index" [style.Color]="elt.isSelected ? 'white' : currentColor" [style.backgroundColor]="elt.isSelected ? currentColor : 'transparent'" class="bloc">
                <td [style.backgroundColor]="elt.isSelected ? 'white' : currentColor"  [style.Color]="elt.isSelected ? currentColor : 'white'" class="round">
                    {{elt.ladder}}
                </td>
                <td>
                    {{elt.pseudo}}
                </td>
                <td>
                    {{elt.average}}
                </td>
                <td id="i" (click)="displayStats(i, elt)" class="has-cursor-pointer">
                    <img [src]="elt.img">
                </td>
            </tr>
        </tbody>
    </table>
    <div *ngIf="!isMobile" [style.visibility]="click" class="is-flex is-align-center is-column">
        <button (click)="close()" class="button is-rounded is-back-button has-margin-bottom-1">
            Fermer
        </button>
        <div class="cut">
            <table class="table font-2 has-margin-left-1 size">
                <thead class="bloc">
                    <tr >
                        <th></th>
                        <th [style.Color]="currentColor">Nom</th>
                        <th [style.Color]="currentColor"><img width="20px" class="align" [src]="getImgColor()">Meilleur temps</th>
                        <th [style.Color]="currentColor"><img width="20px" class="align" [src]="getImgScore()">Meilleur score</th>
                    </tr>
                    </thead>
                <tbody>
                    <tr *ngFor="let circuit of listCircuits" [style.Color]="currentColor" class="bloc">
                        <td [style.backgroundColor]="currentColor" class="round"></td>
                        <td>
                            {{circuit.name}}
                        </td>
                        <td *ngIf="circuit.bestTime !== -1">
                            {{SecondsToTime(circuit.bestTime)}}
                        </td>
                        <td *ngIf="circuit.bestTime === -1">
                            --
                        </td>
                        <td *ngIf="circuit.bestScore !== 0">
                            {{circuit.bestScore}} %
                        </td>
                        <td *ngIf="circuit.bestScore === 0">
                            --
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
   

<loader *ngIf="isLoading$ | async" [textLoader]="'Patiente un peu...'"></loader>
<div *ngIf="error$ | async" class="is-flex is-justify-center">
  <p class="is-error">Nous sommes désolés mais il semblerait que nous n'arrivions pas à charger les classements !</p>
</div>

<div #Stats class="modal">
    <div class="modal-background"></div>
    <div class="modal-card">
        <header [style.borderLeftColor]="currentColor" [style.borderRightColor]="currentColor"  [style.borderTopColor]="currentColor" class="modal-card-head">
        <div class="is-flex is-align-center justify-around">
            <p [style.Color]="currentColor" [className]="isMobile ? 'modal-card-title font' : 'modal-card-title font-2'">Statistiques de {{pseudo}} </p>
        <button (click)="Cancel()" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
        </div>

        </header>
        <section [style.borderLeftColor]="currentColor" [style.borderRightColor]="currentColor" [style.borderBottomColor]="currentColor" class="modal-card-body is-flex">
            <div class="cut-mobile">
                <table class="table font-demi has-margin-left-1">
                    <thead class="bloc">
                        <tr >
                          <th [style.Color]="currentColor">Nom</th>
                          <th [style.Color]="currentColor"><img width="20px" class="align" [src]="getImgColor()">Meilleur temps</th>
                          <th [style.Color]="currentColor"><img width="20px" class="align" [src]="getImgScore()">Meilleur score</th>
                        </tr>
                      </thead>
                    <tbody>
                        <tr *ngFor="let circuit of listCircuits" [style.Color]="currentColor" class="bloc">
                            <td>
                                {{circuit.name}}
                            </td>
                            <td>
                                {{circuit.bestTime}}
                            </td>
                            <td>
                                {{circuit.bestScore}}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>

        </section>
    </div>
</div>
